kas_delete(8)

NAME
kas delete - Deletes an entry from the Authentication Database

SYNOPSIS
kas delete -name <name of user>
    [-admin_username <admin principal to use for authentication>]
    [-password_for_admin <admin password>] [-cell <cell name>]
    [-servers <explicit list of authentication servers>+]
    [-noauth] [-help]

kas d -na <name of user>
    [-a <admin principal to use for authentication>]
    [-p <admin password>] [-c <cell name>]
    [-s <explicit list of authentication servers>+] [-no] [-h]

kas rm -na <name of user>
    [-a <admin principal to use for authentication>]
    [-p <admin password>] [-c <cell name>]
    [-s <explicit list of authentication servers>+] [-no] [-h]

DESCRIPTION
The kas delete command removes from the Authentication Database the user entry named by the -name argument. The indicated user becomes unable to log in, or the indicated server becomes unreachable (because the Authentication Server's Ticket Granting Service module no longer has a key with which to seal tickets for the server).

OPTIONS

-name <name of user>
    Names the Authentication Database entry to delete.

-admin_username <admin principal>
    Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see the kas(8) manpage.

-password_for_admin <admin password>
    Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see the kas(8) manpage.

-cell <cell name>
    Names the cell in which to run the command. For more details, see the kas(8) manpage.

-servers <authentication servers>+
    Names each machine running an Authentication Server with which to establish a connection. For more details, see the kas(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see the kas(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example shows the administrative user admin entering interactive mode to delete three accounts.

   % kas
   Password for admin:
   ka> delete smith
   ka> delete pat
   ka> delete terry

PRIVILEGE REQUIRED
The issuer must have the ADMIN flag set on his or her Authentication Database entry.

SEE ALSO
the kas(8) manpage, the kas_create(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.